Bug 1078994 (kde-plasma-milou) - Review Request: kde-plasma-milou - Plasma applet for searching almost anything
Summary: Review Request: kde-plasma-milou - Plasma applet for searching almost anything
Keywords:
Status: CLOSED RAWHIDE
Alias: kde-plasma-milou
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews
TreeView+ depends on / blocked
 
Reported: 2014-03-20 17:39 UTC by Daniel Vrátil
Modified: 2015-11-02 01:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-02 08:11:21 UTC
jgrulich: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-03-20 17:39:31 UTC
Spec URL: http://dvratil.fedorapeople.org/spec/milou.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/milou-0.1-0.1.20140320git.fc20.src.rpm
Description: Milou is a Plasma applet that can search through files, emails, contacts, calendar events and other data indexed by KDE Desktop Search.
Fedora Account System Username: dvratil
Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6655538

Upstream is going to make first release around the time KDE 4.13 is released, so this is just a git snapshot to get the package in and I'll update and push it to repos once the stable release is out.

This package depends on packages from KDE 4.13 available in rawhide. Won't build against KDE 4.12.

Comment 1 Jan Grulich 2014-04-03 08:25:30 UTC
1) libmilou.so should be versioned
2) license should be GPLv2+ and LGPLv2+, instead of separated by comma

Comment 2 Daniel Vrátil 2014-04-08 14:34:40 UTC
Updated to latest upstream snapshot (which includes libmilou SONAME) and fix the license issue.

Spec URL: http://dvratil.fedorapeople.org/spec/milou.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/milou-0.1-0.1.20140408git.fc20.src.rpm
Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6718223

Comment 3 Jan Grulich 2014-04-08 15:24:44 UTC
Output from rpmlint:

Checking: milou-0.1-0.1.20140408git.fc21.x86_64.rpm
          milou-0.1-0.1.20140408git.fc21.src.rpm
milou.x86_64: W: invalid-url URL: https://projects.kde.org/projects/kdereview/milou HTTP Error 500: Internal Server Error
milou.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libmilou.so
milou.x86_64: E: library-without-ldconfig-postin /usr/lib64/libmilou.so.0.1
milou.x86_64: E: library-without-ldconfig-postun /usr/lib64/libmilou.so.0.1
milou.src: W: invalid-url URL: https://projects.kde.org/projects/kdereview/milou HTTP Error 500: Internal Server Error
milou.src:12: W: macro-in-comment %{version}
milou.src:13: W: macro-in-comment %{version}
milou.src:13: W: macro-in-comment %{snapshot}
milou.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
milou.src: W: invalid-url Source0: milou-0.1.20140408git.tar.xz
2 packages and 0 specfiles checked; 2 errors, 8 warnings.

I guess that relevant are only these:
milou.x86_64: E: library-without-ldconfig-postin /usr/lib64/libmilou.so.0.1
milou.x86_64: E: library-without-ldconfig-postun /usr/lib64/libmilou.so.0.1
milou.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)

Comment 4 Daniel Vrátil 2014-04-11 09:45:37 UTC
Spec URL: http://dvratil.fedorapeople.org/spec/milou.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/milou-0.1-0.1.20140411git.fc20.src.rpm

- Updates to latest git snapshot
- Added %%post and %%postun sections
- Fixed project Url
- Fixed mixed-use-of-spaces-and-tabs and macro-in-comment

Comment 5 Jan Grulich 2014-04-14 07:42:22 UTC
1) When updating git snapshots, you have to also increase release versions, so you should have 0.1-0.1.xxxxgit → 0.1-0.2.yyyygit and so on.

2) Why did you commented out all BR? Probably a mistake, it works when I uncomment them.

Otherwise the package is good, just fix the mentioned issues before you upload the package to git.

Comment 6 Daniel Vrátil 2014-04-15 12:54:46 UTC
Thinking about this, do you think I should rename the package to kde-plasma-milou? It would probably be more consistent with our naming conventions in KDE.

Comment 7 Jan Grulich 2014-04-15 13:00:48 UTC
You are right, it should be definitely kde-plasma-milou. I think you can change the name in SCM request.

Comment 8 Daniel Vrátil 2014-04-15 13:02:27 UTC
New Package SCM Request
=======================
Package Name: kde-plasma-milou
Short Description: Plasma applet for searching almost anything
Owners: dvratil
Branches: f20
InitialCC:

Comment 9 Gwyn Ciesla 2014-04-15 13:17:03 UTC
Requested package name kde-plasma-milou doesn't match bug summary milou,
please correct.

Comment 10 Daniel Vrátil 2014-04-16 12:18:49 UTC
New Package SCM Request
=======================
Package Name: kde-plasma-milou
Short Description: Plasma applet for searching almost anything
Owners: dvratil
Branches: f20
InitialCC: jgrulich ltinkl rdieter kkofler

Comment 11 Jens Petersen 2014-04-17 05:31:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.